;;;	*********************
;;;	setq global variables
;;;	*********************

;;;	get the application object
(setq *acadObj* (vlax-get-acad-object))

;;	Reihe von Befehlsnahmen mit Vorauswahl
(setq CommandListP
       (list
	 '("TextAutoDrehenEP" "RSNNTools.dvb!RSNNText.TextAutoRotateIP")

	 '("DBA" "RSNNTools.dvb!RSNNBlock.DynBlockScaleAdjust")
       )
)

;;	Reihe von Befehlsnahmen ohne Vorauswahl
(setq CommandList
       (list
	 '("BlockNum" "RSNNTools.dvb!RSNNNummerieren.BlockNummeriert")

	 '("AttNum1" "RSNNTools.dvb!RSNNNummerieren.AttributNummeriert1")
	 '("AttNum2" "RSNNTools.dvb!RSNNNummerieren.AttributNummeriert2")
	)
)

;;	Erzeuge defun fr jeden Befehl mit Vorauswahl
;;      z.B.:
;;      (defun c:BlockNum () (vla-runmacro(vlax-get-acad-object) "RSNNTools.dvb!RSNNNummerieren.BlockNummeriert"))

(foreach CommandNameP CommandListP
  (eval
    (list 'defun
	  (read (strcat "C:" (car CommandNameP)))
	  '()
	  (list 'vla-RunMacro *AcadObj* (cadr CommandNameP))
	  '(princ)
    )
  )
)

;;	Erzeuge defun fr jeden Befehl ohne Vorauswahl
(foreach CommandName CommandList
  (eval
    (list 'defun
	  (read (strcat "C:" (car CommandName)))
	  '()
	  (list 'vl-vbarun (cadr CommandName))
	  '(princ)
    )
  )
)
